@font-face {
    font-family: 'Old Standard TT Bold';
    src: url(/fonts/Old_Standard_TT/OldStandardTT-Bold.ttf) format('truetype');
    font-display: swap;
}

@font-face {
    font-family: 'Old Standard TT';
    src: url(/fonts/Old_Standard_TT/OldStandardTT-Regular.ttf) format('truetype');
    font-display: swap;
}

@font-face {
    font-family: 'Caveat';
    src: url(/fonts/Caveat/Caveat-VariableFont_wght.ttf) format('truetype');
    font-display: swap;
}

a {
    text-decoration: none;
    color: #ffffff;
}

body, html {
    width: 100%;
    font-family: 'Old Standard TT', serif;

    padding: 0;
    margin: 0;

    overflow-x: hidden;
}

header {
    top: 0;
    left: 0;
    width: 100%;

    z-index: 2000;

    position: fixed;
}

.header.blurred {
    backdrop-filter: blur(8px);
    -webkit-backdrop-filter: blur(8px);
    background:rgb(80, 107, 96, 0.6);
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);

    height: 60px;
}

header .head-nav {
    color: #ffffff;
    display: flex;
    flex-direction: row;

    position: absolute;

    width: 100%;

    justify-content: space-between;
    align-items: center;
    
    border-bottom: 1px solid #506B60;

    height: 82px;

}

header .head-nav .logo {
    padding-left: 10px;
}

header .head-nav .nav {
    display: flex;
    flex-direction: row;

    justify-content: space-around;
    align-items: center;

    font-size: 16px;
    text-transform: uppercase;

    width: 40%;
    height: 100%;

    font-family: 'Old Standard TT Bold', serif;
}

header .head-nav .nav .nav-el {
    cursor: pointer;
    transition: all 0.5s;

    width: 18%;
    height: 100%;

    text-align: center;
    
    display: flex;
    justify-content: center;
    align-items: center;
}

header .head-nav .nav .nav-el a {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    height: 100%;
    width: 100%;
    transition: all 0.5s;
}

header .head-nav .nav .nav-el .nav-link.active {
    color: #dee8af !important;
}

header .head-nav .nav .nav-el:hover {
    background-color: #506B60;
}

header .head-nav .nav .nav-el a:hover {
    color: #dee8af !important;
}

header .head-nav .contact {
    display: flex;
    justify-content: center;
    align-items: center;
    font-style: normal;
    height: 100%;
    cursor: pointer;
    position: relative; /* Важно для позиционирования псевдоэлемента */
    text-decoration: none; /* Если это ссылка */

    padding-right: 10px;
}

header .head-nav .contact a {
    height: 100%;

    display: flex;
    align-items: center;
}

header .head-nav .contact::after {
    content: ''; /* Обязательно нужно */
    position: absolute; /* Для позиционирования */
    bottom: 0; /* Расположение снизу */
    left: 0; /* Начало слева */
    width: 100%; /* Полная ширина родителя */
    height: 2px; /* Толщина линии */
    background-color: #859F70;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.5s ease;
}

header .head-nav .contact:hover::after {
    transform: scaleX(1);
}

main .start-screen {
    width: 100%;
    height: 100vh;

    background-color: #506B60;

    overflow: hidden;
}

main .start-screen .swiper-slide {
    width: 100% !important;
    height: 100%;
    position: relative; 
}

main .start-screen .swiper-slide .swiper-text {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 90vh;

    color: #ffffff;

    font-size: 62px;
    text-align: center;

    position: relative; /* ДОБАВИТЬ */
    z-index: 2; /* ДОБАВИТЬ */
}

.start-screen .swiper-pagination {
    display: flex;
    align-items: center;
    justify-content: center;
}

.start-screen .swiper-pagination-bullet {
    width: 21px;
    height: 21px;
    background-color: white;
    opacity: 0.5;
}

.start-screen .swiper-pagination-bullet-active {
    background-color: #859F70;
    opacity: 1;
}

#about {
    height: 100vh;
    width: 100%;

    background-color: #3E4538;

    color: #dee8af;

    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

#about .desc-1 {
    width: 50%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    border-right: #ffffff solid 1px;

    height: 100%;

    position: relative;

}

#about .desc-1 .ten {
    background-color: #506B60;
    text-align: center;

    padding: 6px 2px 6px 2px;

    font-size: 20px;
    
    border-radius: 10px;

    width: 60%;

    position: absolute;

    bottom: -10%;
}

#about .desc-2 {
    width: 40%;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    padding-right: 5%;
}

#about .cours-title {
    font-family: 'Caveat', cursive;
    color: #859F70;

    font-size: 32px;

    padding-bottom: 16px;
}

#about .title {
    font-size: 48px;
}

#about .about-text {
    font-size: 26px;
    padding-bottom: 10%;

    width: 90%;
}

#about .about-text .text-1 {
    padding-bottom: 16px;
}

.fade-in-text {
    opacity: 0;
    margin: 0; /* ДОБАВИТЬ */
    padding: 0 20px; /* ДОБАВИТЬ */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5); /* ДОБАВИТЬ */
    /* animation: fadeIn 2s ease-in forwards; - ЭТО УДАЛИТЬ */
}

#homes {
    width: 100%;
    height: 150vh;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    align-items: center;

    margin-top: 15px;
}

#homes .swiper-pagination-bullet {
    width: 16px;
    height: 16px;
    background-color: white;
    opacity: 0.5;
}

#homes .swiper-pagination-bullet-active {
    background-color: #859F70;
    opacity: 1;
}

#homes .title-dir {
    font-size: 72px;
    text-align: center;
}

#homes .home {
    height: 45%;
    width: 90%;

    display: flex;
    flex-direction: column;
    
    margin-top: 2%;
}


#homes .home .min-text {
    font-size: 20px;
}

#homes .home-2 .title {
    text-align: end;
}

#homes .home-1 .description .text {
    margin-left: 5vh;
}

#homes .home-2 .description .text {
    margin-right: 5vh;
}

#homes .home .title .home-class {
    font-size: 36px;
}

#homes .home .title .flors {
    font-size: 24px;
}

#homes .home .description {
    height: 100%;
    width: 100%;
    display: flex;

    font-size: 26px;
}

#homes .home-1 .description {
    justify-content: start;
}

#homes .home-2 .description {
    justify-content: end;
}



#homes .home .description .text {
    width: 50vh;
    height: 88%;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#homes .home .description .text .capacity {
    color:#506B60;
    font-size: 26px;
    font-weight: 600;

    display: flex;
    flex-direction: row;
    align-items: center;
}

#homes .home .description .text .capacity .capacity-img {
    margin-left: 10px;
}

#homes .home .description .text .capacity-img img {
    width: 40px;
    height: 40px;
}

#homes .home .description .text .price-inc-img {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    width: 100%;

    font-size: 20px;

    color: #506B60;
}

#homes .home .description .text .price-inc-img .refr {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-right: 20px;
}

#homes .home .description .text .price-inc-img .text-inc {
    padding-left: 10px;
}

#homes .home .description .text .price-inc-img .wifi {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#homes .home .description .text .price-inc-img .refr img {
    width: 55px;
    height: 54px;
}

#homes .home .description .text .price-inc-img .wifi img {
    width: 45px;
    height: 45px;
}

#homes .home-2 .description .text .childs {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 90%;

    font-size: 20px;
}

#homes .home-2 .description .text .childs .baby-6,
#homes .home-2 .description .text .childs .baby-610 {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

#homes .home-2 .description .text .childs img {
    width: 54px;
    height: 54px;

    margin-right: 5px;
}

#homes .home .description .photos {
    width: 85vh;
    height: 50vh;
    overflow: hidden;
    

    margin: 0;
}

#homes .home .description .photos img {
    object-fit: cover; 
    width: 100%;
    height: 100%;
}

#comfort {
    height: 50vh;
    background-image: url(/image/УДОБСТВА/ФОН.png);
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    background-position: center;

    color: #ffffff;

    display: flex;
    flex-direction: column;
    align-items: center;
    
}

#comfort .title {
    font-size: 48px;
    margin-top: 10px;
    text-align: center;
}

#comfort .comfort-items {
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;

    justify-content: space-between;
    align-items: center;

    font-size: 28px;
    text-align: center;
}

#comfort .comfort-items .comf-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    flex-basis: 200px;
}

#comfort .comfort-items .comf-item a {
    margin-top: 5px;
    font-weight: 600;
}

#comfort .comfort-items img {
    width: 100px;
    height: 100px;
}

#service {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;

    height: 100vh;
    overflow: hidden;

    position: relative;

    background-image: url(/image/service/фон.png);
    background-repeat: no-repeat;
    background-size: cover;
}

#service .service-title-1 {
    font-size: 48px;
}

#service .services {
    height: 60% !important;

    margin-bottom: 20px;
}


#service .swiper-slide {
    height: 100% !important;

}

#service .service-el {
    height: 100%;
    width: 100%;

    background-color: #3E4538;
    border-radius: 10px;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;

    color: #dee8af;

    cursor: pointer;

    transition: all 0.5s;
}

#service .service-el:hover {
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
    transform: scale(1.05);
}

/* Позиционирование */
#service .swiper-button-prev,
#service .swiper-button-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  color:#859F70;
  background: white;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  z-index: 15;
  cursor: pointer;
}

#service .swiper-button-prev {
  left: 10px;
}

#service .swiper-button-next {
  right: 10px;
}

/* Иконки (стрелки) */
#service .swiper-button-prev::after,
#service .swiper-button-next::after {
  font-size: 18px;
  color: #333;
}

/* Эффект при наведении */
#service .swiper-button-prev:hover,
#service .swiper-button-next:hover {
  background: #859F70;
  color: #ffffff;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

/* Состояние disabled */
#service .swiper-button-disabled {
  opacity: 0.35;
  cursor: auto;
  pointer-events: none;
}

#service .service-title {
    font-size: 36px;


    font-weight: 600;

    font-family: 'Caveat', cursive;

    margin-bottom: 10px;
    margin-top: 5px;
}

#service .service-price {
    font-size: 24px;
    width: 80%;
}

#gallery {
    height: 100vh;
}

#intro {
    height: 100vh;
}

#questions {
    height: 100vh;
}

#contact {
    height: 100vh;
    width: 100%;

    background-color: #3E4538;

    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#contact .phone {
    width: 50%;
    height: 100%;
    
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: left;

    border-right: #ffffff solid 1px;

    color: #dee8af;
}

#contact .phone .box {
    height: 60%;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

#contact .phone .text-1 {
    font-size: 64px;
}


#contact .phone .text-2 {
    font-size: 36px;

    font-family: 'Caveat', cursive;

    color: #859F70;
}

#contact .phone .tel {
    width: 100%;
    font-size: 24px;

    color: #dee8af;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#contact .phone .tel .tel-1,
#contact .phone .tel .tel-2 {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#contact .phone .tel .tel-1 {
    margin-bottom: 10px;
    margin-top: 10px;
}

#contact .phone .tel .tel-1 a,
#contact .phone .tel .tel-2 a {
    margin-right: 30px;
    transition: all 0.5s;
}

#contact .phone .tel .tel-1 a:hover,
#contact .phone .tel .tel-2 a:hover {
    color: #f9a41e;
}

#contact .phone .text-3 {
    font-size: 24px;
}

#contact .phone .mess {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

#contact .phone .mess img {
    width: 50px;
    height: 50px;
}

#contact .map {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: left;
}

#contact .map .map-box {
    width: 100%;
    height: 100%;
}

#about .desc-1 .desc-1-img {
    background-image: url(/image/16.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    z-index: 10;
    position: relative;

    width: 50%;
    height: 65%;

    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (max-width: 1240px) {
    #comfort {
        background-attachment: local;
    }

    #about .desc-1 .desc-1-img {
        width: 420px;
        height: 470px;
    }

    main .start-screen .swiper-slide {
        background-position: center;
    }

    #about {
        height: fit-content;
    }
}

@media (max-width: 940px) {
    #about {
        flex-direction: column-reverse;

    }

    #about .desc-1 {
        border-right: none;
        width: 100%;

        margin-bottom: 40px;
    }

    #about .desc-2 {
        margin-top: 20px;
        margin-bottom: 20px;
        width: 100%;
        padding: 0;

        text-align: center;
    }

    #about .about-text {
        font-size: 18px;
        padding: 0;
    }

    #about .desc-1 .ten {
        bottom: -4%;

        font-size: 18px;
    }

    #about .desc-1 .desc-1-img {
        width: 45% !important;
    }
}

@media (max-width: 970px) {
    header .head-nav .nav {
        font-size: 12px;
    }
}

@media (max-width: 840px) {
    #comfort img {
        width: 60px !important;
        height: 60px !important;
    }

    #comfort .comf-item {
        flex-basis: 100px !important;
    }

    #comfort .comfort-items {
        font-size: 20px;
    }

    #comfort .title {
        font-size: 36px;
    }

    #contact {
        flex-direction: column;

        padding-top: 40px;
    }

    #contact .phone {
        width: 100%;
        height: 50%;
        justify-content: start;
    }

    #contact .phone .text-1 {
        font-size: 48px;
    }

    #contact .map {
        width: 100%;
        height: 50%;
    }

    #homes .title-dir {
        font-size: 40px !important;
    }

    #homes .description {
        font-size: 20px !important;
    }

    #homes .description .capacity-img img {
        width: 30px !important;
        height: 30px !important;
    }
    #homes .description .capacity {
        font-size: 22px !important;
    }
    #homes .description .price a {
        font-size: 20px !important;
    }

    #homes .description .price-inc-img {
        font-size: 14px !important;
    }

    #homes .description .price-inc-img .refr {
        margin-right: 10px;
    }

    #homes .description .price-inc-img .refr img {
        width: 35px !important;
        height: 34px !important;
    }

    #homes .description .price-inc-img .wifi img {
        width: 34px !important;
        height: 34px !important;
    }

    #homes .home-1 .description .text {
        margin-left: 1vh;
    }

    #homes .home-2 .description .text .childs img {
        width: 30px;
        height: 30px;
    }

    #homes .home-2 .description .text .childs {
        font-size: 12px !important;
    }
}

@media (max-width: 740px) {
    #homes {
        height: 200vh;
    }

    #homes .home {
        height: 50%;
    }
    #homes .home-1 .description {
        flex-direction: column;
        align-items: center;
    }
    #homes .home-1 .description .text {
        margin: 0;
        width: 100%;
        height: 40%;
    }

    #homes .home .description .photos {
        width: 100%;
        height: 55%;
    }

    #homes .home-2 .description {
        flex-direction: column-reverse;
        align-items: center;
    }
    #homes .home-2 .description .text {
        margin: 0;
        width: 100%;
        height: 40%;

        margin-top: 10px;
    }

    #homes .home-2 .description .text .childs img {
        width: 35px;
        height: 35px;
    }

    #homes .home-2 .description .text .childs {
        font-size: 14px !important;
        justify-content: start;
    }

    #homes .home-2 .description .text .childs .baby-610 {
        margin-left: 20px;
    }

    header .head-nav .nav {
        width: 50%;
    }
}

@media (max-width: 450px) {
    #contact, #service {
        height: 100svh;
    }

    main .start-screen {
        height: 400px;
        position: relative;
    }

    #about {
        height: fit-content;
    }

    #homes {
        height: fit-content;
    }

    #comfort {
        height: 300px;

        background-attachment: local;
    }

    #comfort .title {
        font-size: 22px !important;
    }

    #comfort .comf-item {
        flex-basis: 120px !important;
    }

    #comfort .comfort-items {
        flex-wrap: nowrap;
    }

    #comfort img {
        width: 40px !important;
        height: 40px !important;
    }

    #comfort .comfort-items {
        width: 100%;
    }

    #comfort .comfort-items {
        font-size: 17px;
    }

    #homes .home-2 .description {
        justify-content: start;
    }

    #about .title {
        font-size: 24px;
    }

    #about .cours-title {
        font-size: 20px;
    }

    #about .about-text {
        font-size: 18px;
    }

    #about .about-text .text-2 {
        display: none;
    }

    #about .desc-1 .desc-1-img {
        width: 70% !important;
        height: 470px;
    }

    #about .desc-1 .ten {
        font-size: 12px;
        bottom: 5;
    }

    main .start-screen .swiper-slide .swiper-text {
        font-size: 36px;
    }

    img.mobile {
        width: 18px !important;
    }

    a.mobile {
        font-size: 24px !important;
    }
    
    #about .desc-2 {
        margin-bottom: 0;
    }

    #contact {
        padding: 0;
    }

    #contact .phone .tel {
        font-size: 18px;
    }

    #contact .phone .text-1 {
        font-size: 30px;
    }

    #contact .phone .text-2 {
        font-size: 22px;
    }

    #contact .phone .text-3 {
        font-size: 20px;
    }

    #contact .phone .mess img {
        width: 40px;
        height: 40px;
    }

    #contact .phone .box {
        height: 100%;
    }

    #service .service-title-1 {
        font-size: 40px;
    }

    header .head-nav .nav {
        display: none;
    }

    main .start-screen .swiper-slide .swiper-text {
        height: 100%;
    }

    #homes .home .description .text {
        height: 50%;
    }

    #homes .home .description .photos {
        height: 260px;
    }

    #homes .home .description {
        justify-content: space-around;
    }

    #homes {
        margin-bottom: 20px;
    }

    #about .desc-1 {
        justify-content: center;
    }

    #about .desc-1 .desc-1-img {
        height: 470px;
        max-height: 50svh;
    }

    main .start-screen .swiper-slide {
        background-position: center;
    }

    header .head-nav {
        height: 48px !important;
    }
}


@keyframes fadeIn {  /* ЗАМЕНИТЬ полностью */
    0% { 
        opacity: 0; 
        transform: translateY(-50px); /* добавили движение */
    }
    100% { 
        opacity: 1; 
        transform: translateY(0);
    }
}

